﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls;

namespace Grouping
{
    public class ViewModel : ViewModelBase
    {
        private ObservableCollection<Group> groups;

        public ViewModel()
        {
            this.Groups = new ObservableCollection<Group>() 
            { 
                new Group() 
                {
                    Name = "Group 1",
                    Items = new List<Item>() 
                    {
                        new Item() { Name = "Item 1" },
                        new Item() { Name = "Item 2" },
                        new Item() { Name = "Item 3" },
                        new Item() { Name = "Item 4" },
                        new Item() { Name = "Item 5" }
                    }
                },
                new Group() 
                {
                    Name = "Group 2",
                    Items = new List<Item>() 
                    {
                        new Item() { Name = "Item 1" },
                        new Item() { Name = "Item 6" },
                        new Item() { Name = "Item 7" }
                    }
                },
            };
        }

        /// <summary>
        /// Gets or sets Groups and notifies for changes
        /// </summary>
        public ObservableCollection<Group> Groups
        {
            get
            {
                return this.groups;
            }

            set
            {
                if (this.groups != value)
                {
                    this.groups = value;
                    this.OnPropertyChanged(() => this.Groups);
                }
            }
        }
    }
}
